Subject: SEO Candidate - Narendar Mamidishetti
From: Narendar Mamidishetti <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 29 Mar 2023 10:13:33 -0400

| | SEO  Test

Name | Narendar Mamidishetti
E-mail | [email-masked]
Phone Number | (91) 8247666255
Where do you currently live (area) | Bangalore

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | CubeSpace Technologies Pvt Ltd | SEO Executives | 15 days | 22750
Previous Employer 1 | - | - | - | -
Previous Employer 2 | - | - | - | -

Have you independently worked on SEO for any website?  If yes, what was the website, and what were the keywords? | I worked independently on a personal website. tsaspirants.com, keywords: Telangana dance forms, Telangana festivals. Now come to the professional side I worked as team with 2 members aeccglobal.in, Keywords: best courses in Germany, mca colleges in Canada, mba in Canada, diploma courses in London, top universities in usa
Have you done SEO for any international websites? If yes, which ones and in what countries were you working on ranking them? | No, I am not worked for international websites.

Give a list of Keywords that you have ranked and name of websites

Website: aeccglobal.in
Keywords: best courses in Germany, mca colleges in Canada, mba in Canada, diploma courses in London, top universities in USA

Webiste: tsaspirants.com
keywords: Telangana dance forms, Telangana festivals.

How do you do Keyword Research? | For Keyword Research I use some paid and free tools like semrush, google keyword planner, moz, Ahref, keyword everywhere, suffer
What activities do you perform Off Page? | backlink building, guest article publishing, forms submission, profile linking

| |